Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt

From: "Rainer Gerhards" <[email-masked]>
Date: Thu, 8 Jun 2006 09:38:59 +0200

Hi all,

I agree with Anton on all important issues. I've read the IPR claim and
what disturbs me the most is "unpublished pending patent application".
This sounds like someone took what we have been discussing (and is
widely deployed), brought it to a lawyer and is now trying to make some
patent out of it. This smells very bad.

Without knowing what exactly is claimed to be invented by the claimer, I
can not judge the effect it will have on my work. Anyhow, I do not
intend to invest any of my time into something that somebody else claims
exclusive rights too. If I did, I'd end up with the need to "pay"
(money-wise or other) for the right to use my own work. Would I be smart
if I did that? ;) 

The licensing terms themselves sound fair (but are vague enough to do
so...). My root concern is that there is nothing that has been invented
by that party. I am still waiting for someone to patent the use of the
letter "a" ("@" has been tried AFIK)...

I think using a patented technology inside a standard will definitely
hinder the acceptance of that standard. Especially if it is something as
trivial as syslog over tls. So my vote is to put this work on hold until
further clarification can be obtained. If that means we'll have no
syslog RFC, so be it. That would probably be the better choice...

Rainer

> -----Original Message-----
> From: Anton Okmianski (aokmians) [mailto:[email-masked]] 
> Sent: Wednesday, June 07, 2006 11:26 PM
> To: David Harrington; [email-masked]
> Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt
> 
> Royalty-free does not generally mean free! It means you don't 
> charge per-end-user, per-server fee.  But it does not mean 
> there is not fee. Plus, license terms suggest "other 
> reasonable, non-discriminations terms" and refer to 
> reciprocal license needed to implement standards. Notice plural. 
> 
> I know the giants like Cisco and Huawei will find a common 
> ground as they can sue each other silly with their patent 
> portfolios.  My concern is more from the perspective of 
> having an open standard for everybody to use.  I think some 
> companies will be reluctant to use it given a law suit threat 
> or the hustle of extra licensing.  
> 
> I think clarification on what is claimed are in order before 
> investing more effort into this. 
> 
> Anton.  
> 
> > -----Original Message-----
> > From: David Harrington [mailto:[email-masked]] 
> > Sent: Wednesday, June 07, 2006 3:14 PM
> > To: [email-masked]
> > Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt
> > 
> > Hi,
> > 
> > Three things:
> > 
> > 1) Whether the patent would survive a check into prior art is not
> > something the IETF takes a position on:
> > 
> > Intellectual Property
> > 
> >    The IETF takes no position regarding the validity or scope of any
> >    Intellectual Property Rights or other rights that might 
> be claimed
> > to
> >    pertain to the implementation or use of the technology 
> described in
> >    this document or the extent to which any license under 
> such rights
> >    might or might not be available; nor does it represent 
> that it has
> >    made any independent effort to identify any such rights.
> > Information
> >    on the procedures with respect to rights in RFC documents can be
> >    found in BCP 78 and BCP 79.
> > 
> >    Copies of IPR disclosures made to the IETF Secretariat and any
> >    assurances of licenses to be made available, or the result of an
> >    attempt made to obtain a general license or permission 
> for the use
> > of
> >    such proprietary rights by implementers or users of this
> >    specification can be obtained from the IETF on-line IPR 
> repository
> > at
> >    http://www.ietf.org/ipr.
> > 
> >    The IETF invites any interested party to bring to its 
> attention any
> >    copyrights, patents or patent applications, or other proprietary
> >    rights that may cover technology that may be required to 
> implement
> >    this standard.  Please address the information to the IETF at
> >    [email-masked].
> > 
> > 2) The company has filed a disclosure. You should read the 
> disclosure
> > before losing your cool. 
> >   The disclosure says (roughly) it will license the technology
> > royalty-free for standards use.
> > 
> >   The disclosure can be found at
> >   
> https://datatracker.ietf.org/public/ipr_detail_show.cgi?&ipr_id=717.
> > 
> > 3) Since I work for the company filing the disclosure, I will recuse
> > myself from chairing this discussion. I have asked Chris to 
> chair the
> > discussion.
> > 
> > David Harrington
> > [email-masked] 
> > [email-masked]
> > [email-masked]
> > co-chair, Syslog WG 
> > 
> > 
> > _______________________________________________
> > Syslog mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/syslog
> > 
> 
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/syslog
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog

---

From: Balazs Scheidler <[email-masked]>
Date: Thu, 08 Jun 2006 14:38:43 +0200

> syslog RFC, so be it. That would probably be the better choice...

My feelings are about the same. I don't really know the US patent system
specifics, how long does it take to have something concrete about the
patent?

-- 
Bazsi

---

From: "David Harrington" <[email-masked]>
Date: Thu, 8 Jun 2006 10:44:03 -0400

Hi,

I am staying out of the debate, but I can answer Balzs's question
based on my experiences.

In the US patent system, it takes on the order of three to five years
for a patent to be granted.
I believe the applicant is permitted to not disclose the claims for
eighteen months.

But I am not a lawyer, so your mileage may vary.

dbh

> From: Balazs Scheidler [mailto:[email-masked]] 
> Sent: Thursday, June 08, 2006 8:39 AM
> To: Rainer Gerhards
> Cc: [email-masked]

---

From: Darren J Moffat <[email-masked]>
Date: Thu, 08 Jun 2006 15:55:25 +0100

I'd vote to go forward with publication to standard to bring this out 
into the open.  This is probably one the sillies patents out and just 
shows how fundamentally flawed the system really is.

--
Darren J Moffat

---

From: Chris Lonvick <[email-masked]>
Date: Thu, 8 Jun 2006 08:26:56 -0700 (PDT)

Hi,

> On Thu, 2006-06-08 at 09:38 +0200, Rainer Gerhards wrote:

<Rainer>
>> syslog RFC, so be it. That would probably be the better choice...

<Bazsi>
> specifics, how long does it take to have something concrete about the

[Minor note: I don't think that we can assume that it is being filed 
within the USPTO.]

It appears to me (and I'm willing to take more input) that the general 
consensus is that an IPR-encumbered syslog/tls document would not gain 
acceptance within the development community.

I would like to do 2 things at this time:

1) I will ask Huawei to update their IPR claim to cover 
draft-ietf-syslog-transport-tls-02.txt (the current disclosure only 
covers -01.txt) and, if possible, to give us a bit more of a clue as to 
what the IPR covers.  Specifically from RFC 3979, Section 6.4.1:
    In addition, if the IETF Document includes multiple
    parts and it is not reasonably apparent which part of such IETF
    Document is alleged to be Covered by the IPR in question, it is
    helpful if the discloser identifies the sections of the IETF Document
    that are alleged to be so Covered.
I believe that Hauwei does not need to fully disclose their IPR claim 
but a clue would be helpful.  I think that the section above was written 
that way so that it could be possible to remove or modify a section so 
that the document would no longer be covered by a claim.  I don't know 
that this is possible in this case but I'd like to explore that option.

2)  I will ask our Advisor to give us some guidance on this.  (Sam is 
cc'd.)  We agreed to a tight timeline for our deliverables without 
considering that we would get hung up on this.  A recommendation has been 
made on the WG list that we proceed with syslog-transport-udp and 
syslog-protocol while we see what becomes of the IPR claim of 
syslog-transport-tls.  We CAN submit syslog-transport-tls in a timely 
fashion, as per our Charter, but I fear that it would not be accepted or 
deployed by the community until the IPR issue is resolved.  Moving forward 
with the other two IDs would keep our momentum going and we could address 
the issue of the IPR as soon as we can.

Thanks,
Chris

---

From: Sam Hartman <[email-masked]>
Date: Thu, 08 Jun 2006 12:46:55 -0400

First, have you looked at the updated IPR disclosure?

You can work on udp and -protocol, and you can even update your
milestones to reflect that.  You can get as far as sending me a
publication request for these documents.  However I will not take the
documents to the IESG without a security solution.  So, I'll wait
until it seems clear that there will be WG consensus to actually
publish the TLS draft (or something else of your choosing) before I
bring -protocol to the IESG.

---

From: Chris Lonvick <[email-masked]>
Date: Fri, 9 Jun 2006 13:52:12 -0700 (PDT)

Hi Sam,

Please keep this between us for the moment.

> First, have you looked at the updated IPR disclosure?

Yes.  The Cisco lawyer who deals with IPR says that he is confused by it. 
He suggests that I ask for a clarification of what is "based on 
royalty-free with other reasonable non-discriminations terms and 
conditions".  There are other spelling and grammar problems as well.
I figure that if my lawyer is confused by it, I can't ask the WG to go 
along with it.  David says that Huawei wants the license to be easy and 
painless.  I'll attempt to get consensus on that.

Right now, some people who have been implementing are a bit hurt thinking 
that Huawei is claiming everything.  I figure that there is a claim, or 
some claims, in the document and that Huawei is not attempting to cover 
the entire concept of syslog/tls.  However, that is not clear from the 
disclosure so I'm getting some problems in the WG.  If there are specific 
claims and it comes to light then I may be able to get some more 
acceptance of the terms.

Any advice would be appreciated.

> bring -protocol to the IESG.

OK.

Thanks,
Chris

---

From: Chris Lonvick <[email-masked]>
Date: Fri, 9 Jun 2006 13:57:11 -0700 (PDT)

Hi,

OK - I blew it.

My apologies to the Working Group and to David for my obvious problem.  I 
had meant that to be an update to Sam only.

With sincere apologies,
Chris